Subject: Re: bug#28428: comment-search-backward with no comments

From: Stefan Monnier <[email-masked]>
Date: Fri, 22 Sep 2017 15:26:58 -0400

>> That looks fine, thank you.  But I think the simpler patch below works
>> as well:
>> -  (if (not (re-search-backward comment-start-skip limit t))
>> +  (if (not (re-search-backward comment-start-skip limit 'move))
> That's indeed nicer!  Thanks for pointing out that the NOERROR arg of
> `re-search-backward' can be given a value outside {t,nil} to move point
> to LIMIT.  It's a lesson to myself that I should read docstrings more
> carefully.

I think it's too risky for the emacs-26 branch, but feel free to install
it on master,

        Stefan